#import "../xenua_cv.typ": xenua_cv, xenua_style
#import "../cv.typ": work_item, lenk, exp_bar
#import "self.typ"
#import "@preview/fontawesome:0.1.0": *

#let accent(body) = {
  text(fill: xenua_style.colors.base)[#body]
}

#let style = xenua_style
#style.insert("confidential", false)

#let section = (
  tech: [
    == Tech

    I've been building software since 2012 and using many languages over the years.
    The ones I'm best at are *Rust* and *Python* (my current favorite and my first language, respectively).
    Other languages I've used a significant amount include *C*, *Java*, *PHP* and *JS*.

    I consider myself a programming polyglot.

    I have written high performance asynchronous code and consider myself highly experienced in this topic.

    On the hardware side I have experience making PCBs with *KiCad*, using *3D printers* and *laser cutters*,
    3D modeling with *Fusion360* and *Blender*.

    I run *linux* servers, and know how to use *containers*, *VMs*, and automated deployment tools such as *Ansible* and *Colmena* (a *Nix* deployment tool).
  ],
  natlang: [
    == Natural languages

    #exp_bar(100%)[*English*]
    Native language
    
    #exp_bar(100%)[*German*]
    Native language

    #exp_bar(20%)[*Spanish*]
    Studied in school \
    Self-assessment: _A2_
  ],
  competitions: [
      == Competitions

    Catalysts Coding Contest \
    #accent[#lenk("https://codingcontest.org/")[codingcontest.org]] \
    #fa-calendar-alt() 2019-11-08

    Worldwide level-based coding game.
    - University of Salzburg: 1#super[st] place
    - Globally: 47#super[th] place
  ],
  work: [
    == Work

    #let sep = {
      line(length: 90%, start: (5%, -2mm), stroke: 0.2mm + xenua_style.colors.text.lighten(70%))
      v(-4mm)
    }

    #work_item(
      title: "Software Developer",
      time: "2022-2023",
      location: "Remote",
      ref: accent[#lenk("https://blaulichtsms.net")[BlaulichtSMS]]
    )

    - extending and maintaining the backend platform (Java)
    - implementing a proxy for ELKOS-alarms in Rust

    #sep

    #work_item(
      title: "Software Engineer",
      time: "2020 - 2021",
      location: "Remote",
      ref: accent[#lenk("https://rami.io")[rami.io]],
    )

    - worked on their main project, pretix, as a backend developer
    - added several large features, some of which have been explicitly praised by customers
    - used Python with Django for the backend, and HTML/JS with jQuery for the frontend

    #sep

    #work_item(
      title: "Full stack Engineer",
      time: "2019",
      location: "Liechtenstein",
      ref: accent[#lenk("https://nti-audio.com")[NTi Audio]]
    )

    - implemented an old data transmission protocol
    - custom hardware audio interface running embedded linux to help with testing their
      #lenk("https://www.nti-audio.com/en/products/sound-level-meters/xl3-acoustic-analyzer")[#underline[XL3 Acoustic Analyzer]]
    - software for a Raspberry Pi to handle their entrance area TV

    #sep

    #work_item(
      title: "Assistant Sysadmin",
      time: "2016-2020",
      location: "Austria",
    )

    - volunteer work at my high school, helping in server administration
    - maintained the school’s website, mail server, Active Directory, and the file share/storage for 500 students

    #sep

    #work_item(
      title: "Independent security researcher",
      time: "2015 - 2018",
      location: "other people's servers",
      ref: accent[#fa-square-xmark() under NDA]
    )

    - auditing various software and some critical infrastructure
    - researching vulnerabilities in RF technologies
  ],
  experience: [
    == Experience

    I have written software for the majority of my life, solving problems and
    implementing creative project ideas. I’m fast at picking up new
    concepts, especially if I’m interested in them.

    *Software* projects span a wide range of topics from embedded to web development.
    Some examples include #lenk("https://git.xenua.me/xenua/kicad-qrgen")[#underline[a qr-code generator for KiCad 7]],
    a discord bot for managing a community,
    a custom firmware for #lenk("https://watchy.sqfmi.com/")[#underline[Watchy]], 
    and a lot more.

    *Hardware*: I built small things right around the time IoT became
    a thing, using the ESP chip family for many projects. In 2020 I started doing PCB design,
    notable projects include
    #lenk("https://git.xenua.me/xenua/cardpcb")[#underline[my business card]] and
    #lenk("https://git.xenua.me/xenua/3ds-usbc-charging")[#underline[a 3ds usb-c charging board]].

    *Ops*: I currently have my own server hardware in a datacenter, and run a handful of services for a few dozen users.
  ]
)

#xenua_cv(
  style: style,
  self,
  [
    #section.tech

    #section.natlang

    #section.competitions
  ],
  [
    #section.work

    #section.experience
  ],
)